#
# spec file for package gtk2-engines (Version 2.2.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  atk atk-devel glib2 glib2-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libgnomecanvas libgnomecanvas-devel pango pango-devel pkgconfig xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext glib2 glib2-devel gtk2 gtk2-devel libart_lgpl libart_lgpl-devel libgnomecanvas libgnomecanvas-devel libtool pango pango-devel perl pkgconfig rpm

Name:         gtk2-engines
Summary:      Engines for GTK2 Themes
Version:      2.2.0
Release:      399
License:      GPL
Group:        System/GUI/GNOME
Source:       gtk-engines-%{version}.tar.bz2	
Source1:      gtk-thinice-engine-2.0.2.tar.bz2
%define       gtk_thinice_version 2.0.2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Patch:        gtk2-engines-sanity-check.dif
URL:          http://www.gnome.org
%define prefix  /usr

%description
This packages contains Theme-Engine libraries for GTK2



%prep
%setup -q -n gtk-engines-%{version} -b 1
%patch -p1
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
aclocal
autoconf

%build
CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib \
        --datadir=/opt/gnome2/share
make
cd ../gtk-thinice-engine-%{gtk_thinice_version}
./configure --prefix=%{prefix}  \
	--libdir=%{prefix}/%_lib \
        --datadir=/opt/gnome2/share
make
cd -

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-thinice-engine
cp -a AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}
cd ../gtk-thinice-engine-%{gtk_thinice_version}
make DESTDIR=$RPM_BUILD_ROOT install
cp -a AUTHORS COPYING ChangeLog NEWS README TODO $RPM_BUILD_ROOT%{_defaultdocdir}/gtk-thinice-engine
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/AUTHORS
%doc %{_defaultdocdir}/COPYING
%doc %{_defaultdocdir}/ChangeLog
%doc %{_defaultdocdir}/NEWS
%doc %{_defaultdocdir}/README
%{_defaultdocdir}/gtk-thinice-engine/AUTHORS
%{_defaultdocdir}/gtk-thinice-engine/COPYING
%{_defaultdocdir}/gtk-thinice-engine/ChangeLog
%{_defaultdocdir}/gtk-thinice-engine/NEWS
%{_defaultdocdir}/gtk-thinice-engine/README
%{_defaultdocdir}/gtk-thinice-engine/TODO
%{prefix}/%_lib/gtk-2.0/*/engines/*
/opt/gnome2/share/themes/*/*
%{prefix}/%_lib/pkgconfig/*.pc

%changelog -n gtk2-engines
* Fri Apr 16 2004 - hhetter@suse.de
- added sanity check patch to prevent crashing in
  certain themes.
  (SuSE Bug Id#32861, GNOME Bugzilla Id#112066)
* Wed Mar 12 2003 - sbrabec@suse.cz
- Fixed prefix clash (fixes bug 25170).
* Thu Feb 06 2003 - sbrabec@suse.cz
- Fixed %%files.
- Added gtk-thinice-engine-2.0.2 to package.
* Wed Jan 29 2003 - hhetter@suse.de
- up to version 2.2.0
* Wed Jan 15 2003 - ro@suse.de
- use wildcard in filelist for gtk2-version
* Fri Jun 21 2002 - hhetter@suse.de
- initial SuSE package
